	/*::selection { background-color: #E13300; color: white; }*/
	/*::-moz-selection { background-color: #E13300; color: white; }*/

	* {
  box-sizing: border-box; /* pour maîtriser width et flex-basis */
}

html {
  display: wrap; flex-direction: column; /* correction bug IE de min-height non appliqué à body */
}

body {
  background-size:16px 16px;
 /*  padding-top: 50px; */
  display: flex; /* crée un contexte flex pour ses enfants */
  flex-direction: column; /* affichage vertical */
  min-height: 100vh; /* toute la hauteur du viewport */
  padding: 1em;
}

.wrapper {
  display: wrap; /* crée un contexte flex pour ses enfants */
  justify-content: space-between;
  flex: 1 1 auto; /* occupe la hauteur restante */
}

nav {
	width: auto;
}
aside {
  width: 1em;
}

article {
  flex: 1; /* occupe la largeur restante */
}

nav {
  order: -1; /* nav s'affiche en premier */
}


/* Responsive (fenêtres de moins de 640px) */

@media (max-width: 640px) {
  .wrapper {
    flex-wrap: flex; /* affichage vertical */
  }
  nav{
  	width: auto;
  }
  aside {
    width: auto; /* pour écraser la valeur 10em */
  }
  nav,
  aside,
  article {
    flex-basis: auto; /* pour écraser la valeur 0, due au flex: 1 */
  }
  nav {
    order: 0; /* nav reprend sa place */
  }
}

/* Decoration */

body {
  margin: 0;
  /*background: #999;*/
  background-image:url('assets/images/bg.jpg');
  background: linear-gradient(#252525, #ffffff);
  font-family: Calibri, sans-serif;
}
header,
nav,
aside,
article,
footer {
  margin: 1.1em;
  padding: 1em;
  border-radius: 6px;
}
header {
  /*background: linear-gradient(#ff688b, #6f0808);*/
}
/*
 * Navigation_Bar
 */
nav {
  /* background: #ccccff; */
}
aside {
  /* color: black; */
}
article {
  background: #154360; 
  background: linear-gradient(#9e1bbf, #270d1c);
  border-radius: 3px;
}
/*
 * Footer
 */
footer {
  color: rgba(255,255,255,.5); 
  background: linear-gradient(#000000, #3c5365);
  border-radius: 6px;
}

/*
 * Globals
 */

/* Links */
a,
a:focus,
a:hover {
  color: #fff;
}


.nav {
  margin-bottom: 6em;
  background: linear-gradient(#829ba5, #287563);
    /*background: deepskyblue;*/
	display: -moz-box;
	display: -ms-flexbox;
	display: -webkit-flex;
	-webkit-flex-flow: row wrap;
  justify-content: flex-end;
}

.nav {
  height: 3em;
  padding-top: 0em;
}

nav ul {
  background: linear-gradient(#ffffff,#e9ecf5);
}
.nav ul {
  display: inline-block;
  list-style-type: none;
}
.nav ul li {
  padding-bottom: 1em;
  border-radius: 20em;
  background: linear-gradient(#d8dce0, #8aa1b1);
	display: none;
}


.nav ul:hover li  {
	display: block;
	text-decoration: none;
	padding: 1em;
	color: white;
}

.nav ul:hover a {
	  background: darken(deepskyblue, 2%);

}
nav ul li {
  color: white;
}
nav ul .sous_nav {
  position: absolute;
}

.flex-container {
  padding: 0;
  margin: 2em;
  list-style: none;
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-flow: row wrap;
  justify-content: space-between;
}

.flex-item {
  background: linear-gradient(#764fab, #670079);
  /*background: tomato;*/
  padding: 5px;
  width: 4em;
  height: 3em;
  margin-top: 1em;
  line-height: 150px;
  color: white;
  font-weight: bold;
  font-size: 3em;
  text-align: center;
  border-radius: 10px;
}


.champLogin input {
  margin-top: 1em;
  background: linear-gradient(#764fab, #670079);
  display: block;
}

fieldset .champLogin{

}

